[Switch] Homebrew Launcher pour Switch sous FW 3.0 disponible

543 visiteurs sur le site | S'incrire

20 derniers téléchargements 20 derniers dossiers et tutoriaux
Wii / Wii U
[Switch] Homebrew Launcher pour Switch sous FW 3.0 disponible
Le développeur KGSWS vient de libérer NRO Loader GUI, le Homebrew Launcher intégrant une interface GUI permettant de lancer les homebrews compilés avec libtransistor.
 
 
 
 
 
Vous avez besoin d'une console Switch sous firmware 3.0, de Pegaswitch pour lancer ace_loader, et derrière un fichier NRO, ici c'est kgdoom.nro qui sera lancé un portage de Doom qui est d'ailleurs également disponible.
 
 
Tout ceci est disponible en version Bêta ! 
 
 
Au sujet de kgdoom
 
Ceci est une première version bêta de son portage de Doom sur Nintendo Switch.
La plate-forme prévue à l'origine est la Nintendo Switch, mais à l'avenir, il le portera sur d'autres plates formes. Pour le moment cela reste la seule plate forme supportée. 
 
Ceci est une version bêta rapide et contient probablement beaucoup de bugs.
 
Le but de ce portage n'est pas d'être compatible avec Doom original, mais d'améliorer ses fonctionalités, tout en gardant le logiciel de rendu oldschool avec toutes les astuces supplémentaires de couleur.
 
Il y a déjà quelques bugs Doom originaux corrigés et de petites améliorations ajoutées.
 
Avant d'essayer quoi que ce soit :
 
- Vous avez besoin du firmware version 3.0.0
- Vous devez apprendre ce qu'est Pegaswitch
- sdbcore va supprimer vos Miis
 
 
 

-= kgdoom =-
 
 
How to:
- you need firmware version 3.0.0, again
- you need libtransistor to compile this
- you need ace_loader to run this (part of libtransistor)
- you need pegaswitch to run ace_loader
- 'temp' contains compiled ace loader with GUI and kgDoom app directory
- you have to modify pegaswitch to host static files
 * see bellow
 * create new 'files' directory
 * place 'kgdoom.nro' into 'files'
 * place one of original IWADs here too (lowercase name), check command line options below
 * save ace.nro somewhere accessible, can be in 'files'
 * run pegaswitch with sdbcode, runnro ace.nro
- connect using netcat to ACE loader, port 2991 (you have to know switch IP)
- send command 'exec kgdoom.nro', optionaly check command line options below
 
Command line options:
- to run shareware (doom1.wad), just run 'kgdoom.nro'
- to run doom 1 (doom.wad), run 'kgdoom.nro -doom'
- to run doom ultimate (doomu.wad), run 'kgdoom.nro -doomu'
- to run doom 2 (doom2.wad), run 'kgdoom.nro -doom2'
- to run plutonia (plutonia.wad), run 'kgdoom.nro -plutonia'
- to run TNT (tnt.wad), run 'kgdoom.nro -tnt'
- to run FreeDoom (freedoom1.wad), run 'kgdoom.nro -freedoom'
- to run FreeDoom2 (freedoom2.wad), run 'kgdoom.nro -freedoom2'
 
Known Bugs and unimplemented stuff:
- HID (controller) initialization fails sometimes
 * try again
- no save / load, including configuration
- no music
- not 100% tested, i was able to finish shareware episode
 
Switch controls:
- check out options in main menu
- hold 'weapon button' down and use right stick to pick a new weapon
- use + or - to enter main menu
- use A to confirm
 
Some features planned:
- Lua scripting; use Doom engine for your games (already WIP, about 50% done)
- 3D floors; to add more depth to levels (i did this in a past, easy)
- custom color remaps, sector lightmaps (fog effects), translucency using tables
- renderer update: better math; 320x200 hides all imperfections

 

 

Comment faire  :
- vous avez besoin du firmware version 3.0.0 
- vous avez besoin de libtransistor pour compiler
- vous avez besoin de ace_loader pour l'exécuter (une partie de libtransistor)
- vous avez besoin de pegaswitch pour lancer ace_loader
- 'temp' contient le ace loader compilé avec l'interface graphique et le répertoire de l'application kgDoom
- vous devez modifier pegaswitch pour héberger des fichiers statiques
  * voir ci-dessous
  * créer un nouveau répertoire 'files'
  * placer 'kgdoom.nro' dans 'files'
  * Placez un des IWADs originaux , vérifiez les options de la ligne de commande ci-dessous
  * sauvez ace.nro quelque part , peut être dans 'files'
  * lancez pegaswitch avec sdbcode, runnro ace.nro
- se connecter en utilisant netcat vers Ace loader, avec le port 2991 (vous devez connaître l'IP de la Switch)
- envoyer la commande 'exec kgdoom.nro', facultativement vérifier les options de la ligne de commande (ci-dessous)
 
Bref vous l'aurez compris c'est pas simple !
 
Les options de ligne de commande:
- pour lancer le shareware (doom1.wad), il suffit de lancer 'kgdoom.nro'
- pour exécuter doom 1 (doom.wad), lancez 'kgdoom.nro -doom'
- pour lancer doom ultimate (doomu.wad), lancez 'kgdoom.nro -doomu'
- pour lancer doom 2 (doom2.wad), lancez 'kgdoom.nro -doom2'
- pour lancer plutonia (plutonia.wad), lancer 'kgdoom.nro -plutonia'
- pour exécuter TNT (tnt.wad), exécutez 'kgdoom.nro -tnt'
- pour lancer FreeDoom (freedoom1.wad), lancez 'kgdoom.nro -freedoom'
- pour lancer FreeDoom2 (freedoom2.wad), lancez 'kgdoom.nro -freedoom2'
 
 
Nb : Comme vous pouvez le voir sur la vidéo, il subsiste quelques petits bugs, il y a des éléments non implémentés,  l'initialisation HID (contrôleur) échoue parfois, il n'est pas possible de sauvegarder / charger des sauvegardes, y compris la configuration, et la musique ne fonctionne pas.
 
 
Téléchargement : 
 
- kgdoom  
 
ace gui
 
start.js - copy paste to pegaswitch folder
ace.nro - copy paste to nros
 
readme pour libtransistor : https://github.com/k...19d0fd7b1c3884e
 
readme pour kgdoom : https://github.com/k...491d9a70a4371d5
 
Dimanche 07 Janvier 2018, 22:07 par tralala.
Source : github.com/kgsws/kgdoom
07 janvier 2018, 22:13
Approuver ce commentaire (+1)
Merci pour la news .
Répondre à ce commentaire
07 janvier 2018, 22:30
Approuver ce commentaire (+1)
Merci ça envoi du lourd pour le début d'année sur Switch

on retrouver le format .wad de la wii
Répondre à ce commentaire
07 janvier 2018, 22:35
Approuver ce commentaire (+1)
avant l'heure excelent !
Répondre à ce commentaire
07 janvier 2018, 22:38
Approuver ce commentaire (+1)
+1
à mon avis ça va se simplifier dans la méthode, il faut juste patienter un peu.
Répondre à ce commentaire
07 janvier 2018, 22:50
Approuver ce commentaire (+1)
+1
Please don't fuck this Switch :D
Répondre à ce commentaire
07 janvier 2018, 23:01
Approuver ce commentaire (+1)
+1

Il faut que je me trouve une switch dans la semaine.L'année 2018 commence bien :badplayer:

Répondre à ce commentaire
07 janvier 2018, 23:29
Approuver ce commentaire (+1)
vous savez quel modele prendre vous
Répondre à ce commentaire
07 janvier 2018, 23:48
Approuver ce commentaire (+1)
yes c'est beau
Répondre à ce commentaire
07 janvier 2018, 23:59
Approuver ce commentaire (+1)

Merci pour la news.

Très difficile de se procurer une switch en 3.0, j'ai fait les réserve d'un carrefour et d'un micromania grâce à mes connaissances mais rien, elle se vends tellement bien que je ne suis pas tombé sur une ancienne version. Bref voici les infos que j'ai eu : 

 

- Carrefour à eu une erreur de prix il y a quelques semaines, les gens ont sauté sur les switch

- Micromania vends beaucoup de switch donc c'est mort pour une 3.0

- Il faut privilégier un petit Leclerc, un supermarché qui en vends très peu

- S’appuyer sur la liste dispo sur Gbatemp (Serial / Firmware) 

 

Bon courage à ceux qui partent en chasse, je passe mon tour pour cette fois ci car j'ai rien trouvé.

Répondre à ce commentaire
08 janvier 2018, 00:22
Approuver ce commentaire (+1)
La mienne je l’ai eu sous le sapin elle était en 2.3 et comme un con j’ai fait la mise à jour du coup je suis en 4.1.
Enfin je me console en me disant que niveau hombrew j’ai ce qu’i faut avec ma new 3DS et question émulation je suis gâtée par ma super nes mini.
Répondre à ce commentaire
08 janvier 2018, 03:45
Approuver ce commentaire (+1)
+1
zut on n'est en 3.0.1 :( en tout cas au moins sur ma old 3ds et wii u je suis déjà content alors...

Des compagnies de créateurs de jeux vidéos ont refusé d'aller avec nintendo switch parce que leurs consoles nintendo étaient trop facile a hacker...et hop un homebrew luncher...déjà. Et j'espère que tout ceci je tuera pas la console. ..j'aime tellement la switch. Mais souvent plus de consoles ce vendent aussi donc ont sait pas.
Répondre à ce commentaire
08 janvier 2018, 05:13
Approuver ce commentaire (+1)

zut on n'est en 3.0.1 :( en tout cas au moins sur ma old 3ds et wii u je suis déjà content alors...

Des compagnies de créateurs de jeux vidéos ont refusé d'aller avec nintendo switch parce que leurs consoles nintendo étaient trop facile a hacker...et hop un homebrew luncher...déjà. Et j'espère que tout ceci je tuera pas la console. ..j'aime tellement la switch. Mais souvent plus de consoles ce vendent aussi donc ont sait pas.

"Trop facile a hacker"

1. Essaye de maintenir un systeme de securite correct... Et tu verras...

2. "Les gens n'ont pas l'air de comprendre que tout systeme informatique a des bug... Et la vitesse a laquelle ont les trouves ne depend pas seulement sur la securite,mais sur l'audience,l'interet,.." ++ la maniere dont les autres aytaque les hackers en justices....
Répondre à ce commentaire
08 janvier 2018, 08:33
Approuver ce commentaire (+1)
+1

Salut. J'ai 2 Switch, une dans son carton (v 1.0.0), et une à jour. A part Pokken Tournament que je n'ai pas, quel jeu est possède la version du FW 3.0.0 sur la cartouche ? Dans les jeux récents mais pas trop j'ai FIFA, NBA 2K, Mario + Lapins crétins, LEGO Worlds, DOOM et Skyrim. Aussi, est-ce qu'il ne vaut mieux pas rester en 1.0.0 ? Merci.

Répondre à ce commentaire
08 janvier 2018, 08:48
Approuver ce commentaire (+1)
La méthode de lancement pour doom est assez simple, surtout que sur gbatemp.net il y a un unbuntu avec pegaswitch tout prêt ainsi que les fichiers doom (à part les fichiers wad)
Bon courage pour ceux qui veulent test, juste le lancement de pegaswitch est casse tête et aléatoire, et n'oubliez pas adieu les mii


Salut. J'ai 2 Switch, une dans son carton (v 1.0.0), et une à jour. A part Pokken Tournament que je n'ai pas, quel jeu est possède la version du FW 3.0.0 sur la cartouche ? Dans les jeux récents mais pas trop j'ai FIFA, NBA 2K, Mario + Lapins crétins, LEGO Worlds, DOOM et Skyrim. Aussi, est-ce qu'il ne vaut mieux pas rester en 1.0.0 ? Merci.

Je serai toi je garderai ma switch en 1.0, sait-on jamais pour l'instant il y a rien d'extraordinaire.. C'est plutôt pour essayer et vue la prise de tête pour un 1er lancement autant attendre
Répondre à ce commentaire
08 janvier 2018, 09:36
Approuver ce commentaire (+1)
merci ,mais c'est dommage seulement pour 3.0
Répondre à ce commentaire
08 janvier 2018, 09:49
Approuver ce commentaire (+1)
merci et dommage je vais donc être patient je suis en 3.0.1
Répondre à ce commentaire
08 janvier 2018, 11:01
Approuver ce commentaire (+1)
la solution Switchbrew sera surement meilleurs ;)
On verra ça le 1er février
Répondre à ce commentaire
Utilisateur en ligne
08 janvier 2018, 11:36
Approuver ce commentaire (+1)
@kev63 regarde sur ce lien
https://gbatemp.net/...version.485959/
Répondre à ce commentaire
08 janvier 2018, 19:33
Approuver ce commentaire (+1)
Comment reconnaître une switch en 3.0.0 ou inférieur ?
Répondre à ce commentaire
Utilisateur en ligne
08 janvier 2018, 19:37
Approuver ce commentaire (+1)

Comment reconnaître une switch en 3.0.0 ou inférieur ?


https://nswitch.github.io/serial/
Répondre à ce commentaire
Utilisateur en ligne
08 janvier 2018, 19:39
Approuver ce commentaire (+1)

Salut. J'ai 2 Switch, une dans son carton (v 1.0.0), et une à jour. A part Pokken Tournament que je n'ai pas, quel jeu est possède la version du FW 3.0.0 sur la cartouche ? Dans les jeux récents mais pas trop j'ai FIFA, NBA 2K, Mario + Lapins crétins, LEGO Worlds, DOOM et Skyrim. Aussi, est-ce qu'il ne vaut mieux pas rester en 1.0.0 ? Merci.


Crimsonland
Fast RMX
Implosion
Kamiko
Namco Museum
Minecraft - Story Mode season 1
Oceanhorn - Monster of the uncharted seas
Pokken Tournament DX - [You can use this to update a lower Switch to firmware 3.0.0!] - ^Update 3.0.0 on card^
Sonic Forces
Tiny Barbarian DX
Troll and I
Répondre à ce commentaire
09 janvier 2018, 00:00
Approuver ce commentaire (+1)
+1
Merci Pixelman et chronoss, j'ai vu cette liste aussi, mais seul Pokken Tournament est mentionné comme ayant la MAJ sur la cartouche. J'ai déjà Oceanhorn, Implosion et Fast RMX mais ce sont des jeux au format numérique, je vois pas trop comment accéder à l'eShop et les télécharger sur ma Switch 1.0 sans la mettre à jour à la dernière version. Je vais rester en 1.0 pour l'instant, peut-être qu'on aura le trick des DNS comme sur PS Vita pour upgrader à la version qu'il faut.
Répondre à ce commentaire
09 janvier 2018, 11:15
Approuver ce commentaire (+1)
Salut et merci pour la news, je voulais savoir si on pouvait jouer à Mario et les lapins kingdom battle en dessous de la version 3.0 ?? Merci
Répondre à ce commentaire
09 janvier 2018, 19:23
Approuver ce commentaire (+1)
déjà Mario installe la mise a jour 3.0.1
Répondre à ce commentaire
09 janvier 2018, 19:36
Approuver ce commentaire (+1)
oui mais je demande pour mario et les lapins qui ils me semblent demande seulement la mise à jour 2.3.0 mais j'ai un doute et c'était pour me confirmer ;)
Répondre à ce commentaire
10 janvier 2018, 00:08
Approuver ce commentaire (+1)
Déjà ???
Répondre à ce commentaire
10 janvier 2018, 21:35
Approuver ce commentaire (+1)
dur dur
Répondre à ce commentaire
11 janvier 2018, 13:32
Approuver ce commentaire (+1)
Bonjour,
voila j'habite à paris, quelqu'un pourrait svp me suggerer un endroit (nom magasin + localisation)où je pourrais trouvé une SWITCH <=3.0.0.
en île de france peu importe où.

merci d'avance ^^
Répondre à ce commentaire
13 janvier 2018, 14:20
Approuver ce commentaire (+1)
+1
faite moi un bisous toute les switch splatoon edition sont en firmware 3.0 ou moins j en ai commander une ya 1 semaine et elle est en 2.1
Répondre à ce commentaire
13 janvier 2018, 14:30
Approuver ce commentaire (+1)
+1
fnac saint lazare et noisi le grand il en reste quelque une
Répondre à ce commentaire
13 janvier 2018, 15:30
Approuver ce commentaire (+1)

fnac saint lazare et noisi le grand il en reste quelque une

fnac saint lazare tu ne saurais pas quel est le num de serie ?pr verifier si il correspond tj, je vais m'y rendre à l'instant ^^.
Pr le pack splatoon le prix le plus bas que j'ai pu trouver c 389,90€ , mais le soucis c'est que le jeu est en version téléchargeable ..
Répondre à ce commentaire
13 janvier 2018, 18:08
Approuver ce commentaire (+1)
Bon, finalement j'ai pris le pack splatoon2 pr 389,90€, j’espère avoir le bon FW et tomber sur un acheteur pr le code de téléchargement du jeu dans les ~40€
Répondre à ce commentaire
13 janvier 2018, 21:20
Approuver ce commentaire (+1)
+1
Répondre à ce commentaire
13 janvier 2018, 23:24
Approuver ce commentaire (+1)

Hack j usqu en 3.02
https://gbatemp.net/...o-3-0-2.494129/

D'après le dev à l'origine du tweet qui lui est à l'origine de ce thread, il n'a fait que mentionné que c'étais théoriquement possible .. donc .. 3.0.0 et en dessous reste la décision la plus sage pr le moment .. après avoir regardé le talk sur la switch lors de la 34c3, ce hack complet 3.0.0 dumoin une partie n'a été plus qu'un coup de bol que autre chose dut aux graves bourdes de nintendo(avec son PID 0)&nvidia(avec sa faille incorrigible dans sa puce, je pense d'ailleur que c'est la solution principale sur laquelle vas reposer le hack de la teamXecuter et ptetr failOverFlow).. sans cela, nous n'aurions pas eu un avancement aussi rapide .. mercii Big N <3
Répondre à ce commentaire
03 février 2018, 19:45
Approuver ce commentaire (+1)
quelqu'un qui a essayer ca sur ca switch 3.0.0 ?
Répondre à ce commentaire
Cliquer ici pour continuer sur le forum
Envoyer